#import "MSShowsLocationViewController.h"

@interface MSShowsLocationViewController () <MRMapViewDelegate>
@property (nonatomic, strong) MRMapView *mapView;
@end

@implementation MSShowsLocationViewController

- (id)initWithNibName:(NSString *)name bundle:(NSBundle *)bundle {
    if ((self = [super initWithNibName:name bundle:bundle])) {
        self.edgesForExtendedLayout = UIRectEdgeNone;
        UIBarButtonItem *button1 = [[UIBarButtonItem alloc] initWithTitle:@"Location" style:UIBarButtonItemStylePlain target:self action:@selector(toggle)];
        UIBarButtonItem *button2 = [[UIBarButtonItem alloc] initWithTitle:@"Compass" style:UIBarButtonItemStylePlain target:self action:@selector(toggle2)];
        self.navigationItem.rightBarButtonItems = @[button1, button2];
    }
    return self;
}

#pragma mark - UIViewController

- (void)loadView {
    self.mapView = [[MRMapView alloc] init];
    self.mapView.showsUserLocation = YES;
    self.mapView.delegate = self;
    self.mapView.mapKey = [MREditorKey keyForMap:[MSExampleHost mapID] app:[MSExampleHost appID]];
    self.view = self.mapView;
}

#pragma mark - MSExampleViewController

+ (NSString *)exampleTitle {
    return @"User Location Visibility";
}

+ (NSString *)exampleInfo {
    return @"Example of how to programatically enable/disable the blue location annotation.\n\n"
    @"• User location starts initially enabled.\n"
    @"• Button to toggle user location.\n";
}

#pragma mark - MRMapViewDelegate
- (void)mapPickerDidPickMap:(nonnull MRMap *)map {
    self.mapView.mapKey = map.key;
}

- (nonnull UIViewController *)viewControllerToAddSheetToForMapView:(MRMapView *)mapView {
    return self;
}

#pragma mark - Action

- (void)toggle {
    self.mapView.showsUserLocation = !self.mapView.showsUserLocation;
}

- (void)toggle2 {
    self.mapView.showsUserHeading = !self.mapView.showsUserHeading;
}

@end
