#import "MSStoryboardViewController.h"

@interface MSStoryboardViewController () // <MRMapViewDelegate>
@property (nonatomic) BOOL didDisplay;
@end

@implementation MSStoryboardViewController

#pragma mark - UIViewController

- (void)loadView {
    // This line ensures that MRMapViewController is compiled into your binary for run-time use by the Storyboard loader.
    [MRMapViewController class];
    
    UIView *view = [[UIView alloc] init];
    view.backgroundColor = [UIColor whiteColor];
    self.view = view;
}

- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    if (!self.didDisplay) {
        UIStoryboard *sb = [UIStoryboard storyboardWithName:@"Example" bundle:nil];
        UINavigationController *nav = (id)[sb instantiateInitialViewController];
        MRMapViewController *mapVC = (id)nav.topViewController;
        mapVC.mapView.mapKey = [MREditorKey keyForMap:[MSExampleHost mapID] app:[MSExampleHost appID]];
        mapVC.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemDone target:self action:@selector(doneAction)];
        [self presentViewController:nav animated:YES completion:NULL];
    }
    self.didDisplay = YES;
}

#pragma mark - MSExampleViewController

+ (NSString *)exampleTitle {
    return @"Storyboard";
}

+ (NSString *)exampleInfo {
    return @"View controller that presents a storyboard containing a MRMapView modally.";
}

#pragma mark - MRMapViewDelegate
//- (void)mapPickerDidPickMap:(nonnull MRMap *)map {
//    self.mapView.mapKey = map.key;
//}

#pragma mark - Action

- (void)doneAction {
    [self dismissViewControllerAnimated:YES completion:NULL];
}

@end
